/*	
****************************************************************************
*
* Program Name:      Storage Management Services
*
* Filename:          smsfids.h
*
* Date Created:      July 5, 1990
*
* Version:           3.2
*
* Files used:        smsfids.inc
*
* Date Modified: 	
*
* Modifications: 	
*
* Comments:          FID definitions for SMS
*
* (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
*
* No part of this file may be duplicated, revised, translated, localized or
* modified in any manner or compiled, linked or uploaded or downloaded to or
* from any computer system without the prior written consent of Novell, Inc.
*
****************************************************************************
*/

#ifndef _SMSFIDS_H_INCLUDED       /* smsfids.h header latch */
#define _SMSFIDS_H_INCLUDED
    
/*****                     Miscellaneous defines                       *****/

#if defined(DEBUG_CODE)
#define DEBUG_HEADER_STRING_FIELD      NWSM_HEADER_DEBUG_STRING,      \
                                       UINT64_ZERO, HEADER_STRING
#define DEBUG_HEADER_FIELD             HEADER_STRING_LEN, NULL,       \
                                       HEADER_STRING_LEN
#define DEBUG_HEADER_STRING_FIELD_ALT  NWSM_HEADER_DEBUG_STRING,      \
                                       UINT64_ZERO, HEADER_STRING_ALT
#define DEBUG_HEADER_FIELD_ALT         HEADER_STRING_LEN_ALT, NULL,   \
                                       HEADER_STRING_LEN_ALT
#endif

#define NWSM_REV_DATA                  "REV 1.4"
#define NWSM_SYNC_DATA                 0x5AA5
#define NWSM_VARIABLE_SIZE             0x80

/*****                      Media Mark Defines                         *****/

#define NWSM_MARK_TYPE_HARDWARE        1
#define NWSM_MARK_TYPE_SOFTWARE        2
#define NWSM_SMM_FILE_MARK             1
#define NWSM_SMM_SET_MARK              2

#include <smsfids.inc>

#endif                            /* smsfids.h header latch */
/***************************************************************************/

